// Ejercicio 8, bloque 2: Preguntar por un nmero
// y devolver a consola si es primo o no.
// Fecha: 15:22 mircoles, 10 de abril de 2019
// Revisin: 3/9/2020; 1:25 pm
// S. Galliano

#include <iostream>
#include <cstdlib>
#include <cmath>

int main() {
    //  info
    std::cout << "Problema 8: determina si un n\243mero es o no primo.\n\n";

    //  variables
    long numero;
    bool primo;

    //  el programa
    while ( true ) {
        std::cout << "-1 para terminar. \250N\243mero? ";
        std::cin >> numero;

        if ( 0 > numero ) {
            return EXIT_SUCCESS;
        } else if ( 0 == numero ) {
            std::cout << "El cero no se contempla.\n\n";
        } else if ( 1 == numero ) {
            std::cout << "El uno es no-primo.\n\n";
        } else if ( 2 == numero ) {
            std::cout << "2 es primo.\n\n";
        } else if ( 0 == numero % 2 ) {
            std::cout << numero << " no es primo.\n\n"; // es par
        } else {
            primo = true; // inicialmente se considera primo

            //  slo prueba impares
            for ( int factor = 3; factor * factor <= numero; factor +=2 ) {
                if ( 0 == numero % factor ) {
                    primo = false;
                    break;
                } // if
            } // for

            ( true == primo )
                ? std::cout << numero << " es primo.\n\n"
                : std::cout << numero << " no es primo.\n\n";
        } // if-en cascada
    } // while
}
