// Ejercicio 10, bloque 2: Codificar un programa que pida una ganancia
// y devuelva la cantidad a pagar por concepto de impuestos del Reino del Revs
// Fecha: 19:33 mircoles, 10 de abril de 2019
// Revisin: 3/9/2020; 1:35 pm
// S. Galliano.

#include <iostream>
#include <cstdlib>
#include <iomanip>

//  los impuestos
const float IMP1 = 0.1;
const float IMP2 = 0.15;
const float IMP3 = 0.2;

//  los lmites
const int LIM5  = 5000;
const int LIM10 = 10000;
const int LIM20 = 20000;

int main() {
    //  las variables
    float ganancia;            // lo ganado
    float neto1, neto2, neto3; // a deducir
    float aPagar;              // impuesto

    //  info
    std::cout << std::setprecision( 2 ) << std::fixed <<
    "Problema 10: c\240lculo de impuestos del Reino del Rev\202s\n\n"
    "Impuestos Reales en bK (bitkoin)\n"
    "Los primeros 5,000 no pagan\n"
    "Los siguientes 10,000 pagan el 10%\n"
    "Los siguientes 20,000 pagan el 15%\n"
    "M\240s all\240 de 35,000 se paga el 20%\n\n";

    //  el programa
    while( true ) {
        std::cout << "-1 para terminar. Ganancia anual: ";
        ( std::cin >> ganancia ).get();

        if ( -1 == ganancia ) {
            return EXIT_SUCCESS;
        } // if

        if( ganancia <= LIM5 ) {
            std::cout << "No paga impuestos.\n\n";
            continue;
        } else if( ganancia > LIM5 and ganancia <= LIM10 ) {
            ganancia -= LIM5;        // lo que sobra
            neto1 = ganancia * IMP1; // impuesto por lo sobrante
            aPagar = neto1;
        } else if( ganancia > LIM10 and ganancia <= LIM20 ) {
            ganancia -= ( LIM5 + LIM10 ); // lo que sobra
            neto1 = LIM10 * IMP1;         // impuesto por 10,000
            neto2 = ganancia * IMP2;      // impuesto por lo sobrante
            aPagar = neto1 + neto2;
        } else {
            ganancia -= ( LIM5 + LIM10 + LIM20 ); // lo que sobra
            neto1 = LIM10 * IMP1;                 // impuesto por 10,000
            neto2 = LIM20 * IMP2;                 // impuesto por 20,000
            neto3 = ganancia * IMP3;              // impuesto por lo sobrante
            aPagar = neto1 + neto2 + neto3;
        } // if-en-cascada

        std::cout << "Paga " << aPagar << " bK.\n\n";
    } // while
}
