//  nmina.cpp: definiciones para el ejercicio 17, bloque 3.
//  Fecha: 12:38 viernes, 12 de abril de 2019
//  Revisin: 27/12/2019; 4:49 am
//  Por S. Galliano.

#include "nomina.h"

//  poltica salarial de la CPA
const double SALARIO = 500.0 / 40;    // $500 x 40 h semanales
const double EXTRA   = SALARIO * 1.5; // tiempo y medio
const double MAX_HS  = 40.0 * 4;      // 4 semanas por mes

//  calcula las horas a cobrar: si trabaj horas extras se
//  le paga el salario bsico y se le adiciona el salario extra.
double aCobrar( double horas ) {
    double salario;

    if ( horas <= MAX_HS ) {
        salario = SALARIO * horas;
    } else {
        salario = SALARIO * MAX_HS;
        horas -= MAX_HS;
        salario += horas * EXTRA;
    } // if-else

    return salario;
}
