/*
	Ejercicio 18, bloque 3.

	El teorema de Pitgoras es la proposicin ms conocida entre las
	que tienen nombre propio en las matemticas y establece que en todo
	tringulo rectngulo el cuadrado del valor la hipotenusa es igual a
	la suma de los cuadrados de los valores de ambos catetos, donde la
	hipotenusa es el lado mayor de todos. Codificar un programa que tome
	tres lados enteros y decida si con ellos se puede construir un tringulo
	(si la suma de los lados menores es igual al lado mayor, no se puede
    construir un tringulo con ellos) y si ese tringulo es rectngulo.

	Fecha: 15:06 viernes, 12 de abril de 2019
	Revisin: 27/12/2019; 5 am
	S. Galliano.
*/

#include "triangulo.h"
#include <iostream>
#include <cstdlib>

int main() {
    //  info
    std::cout << "Problema 18: clasifica un tri\240ngulo.\n\n";

    //  lados
    int a, b, c;

    //  entrada de datos
    entrar( a, b, c );
    ordenar( a, b, c ); // importante

    //  repuesta
    if ( noSePuede( a, b, c ) ) {
        std::cout << "\nNo puede hacer un tri\240ngulo.\n\n";
    } else if ( esRecto( a, b, c ) ) {
        std::cout << "\nSe puede hacer un tri\240ngulo rect\240ngulo.\n";
        std::cout << "  Hipotenusa = " << a << '\n';
        std::cout << "Cateto mayor = " << b << '\n';
        std::cout << "Cateto menor = " << c << "\n\n";
    } else {
        std::cout << "\nSe puede hacer un tri\240ngulo, pero no rect\240ngulo.\n\n";
    } // if-else

    //  fin
    system( "pause" );
    return EXIT_SUCCESS;
}
