#ifndef TRIANGULO_H_INCLUDED
#define TRIANGULO_H_INCLUDED

//  triangulo.h: declaraciones para el ejercicio 18, bloque 3.
//  Fecha: 15:08 viernes, 12 de abril de 2019
//  Revisin: 27/12/2019; 5 am
//  Por S. Galliano.

//  entrar datos
//  input: los lados a, b y c
//  output: los lados entraron al programa
void entrar( int & a, int & b, int & c );

//  arregla los lados para que a sea el mayor
//  input: a y b
//  output: a es el mayor
void minAB( int & a, int & b );

//  ordena los lados como a > b > c
//  input: lados a, b y c
//  output: lados ordenados
void ordenar( int & a, int & b, int & c );

//  dice si no se puede hacer un tringulo
//  input: a > b > c
//  output: true si se puede
bool noSePuede( int a, int b, int c );

//  dice si un tringulo es rectngulo
//  input: a > b > c
//  output: true si lo es
bool esRecto( int a, int b, int c );

#endif // TRIANGULO_H_INCLUDED
