// auxiliar.cpp: definiciones para el ejercicio 25, bloque 4.
// Fecha: 12:14 jueves, 18 de abril de 2019
// Revisin: 4/9/2020; 9:10 am
// Por S. Galliano

#include "auxiliar.h"
#include <iostream>
#include <iomanip>

//  encabezamiento de la tabla
void encabezar() {
    std::cout <<
    std::setw ( 3 ) << "N"     <<
    std::setw ( 8 ) << "Cuad." <<
    std::setw ( 8 ) << "Cubo"  <<
    std::setw ( 12 ) << "Inverso\n";
}

#include <cmath>

//  una lnea de la tabla
void ponerNumero( int i ) {
    std::cout  << std::setfill( ' ' ) <<
    std::right << std::setprecision ( 0 ) <<
    std::setw( 3 ) << i     <<
    std::setw( 8 ) << i * i   <<
    std::setw( 8 ) << i * i * i <<
    std::fixed << std::setprecision ( 4 ) <<
    std::setw( 11 ) << 1.0 / i << '\n';
}

//  un subrayado
void subrayar() {
    std::cout << std::setw( 31 ) << std::setfill ( '-' ) << '\n';
}
