//  tabla.cpp: definiciones para el ejercicio 27, bloque 5.
//  Fecha: 16/11/2019; 8:35 pm
//  Revisin: 4/9/2020; 9:21 am
//  S. Galliano.

#include "tabla.h"
#include <iostream>
#include <iomanip>
using std::string;
using std::cout;

//  pone una lnea simple o doble en consola de n caracteres
void ponerLinea( char tipo, int n ) {
    cout
    << std::setfill( tipo ) << std::setw( n ) << '\n' << std::setfill( ' ' );
}

//  pone las materias de la tabla
void encabezar( const string * pMats, int n ) {
    for ( int i = 0; i < n; ++i ) {
        cout << pMats[i] << '\t';
    } // for

    cout << '\n';
}

//  pone las notas del alumno
void ponerNotas( const int * pNotas, int n ) {
    cout << "Alum.\t";

    for ( int i = 0; i < n; ++i ) {
        cout << pNotas[i] << '\t';
    } // for
}

//  pone el promedio de las notas
void ponerPromedio( const int * pNotas, int n ) {
    double total = 0;

    for ( int i = 0; i < n; ++i ) {
        total += pNotas[i];
    } // for

    cout << total / n << '\n';
}
