#ifndef TABLA_H_INCLUDED
#define TABLA_H_INCLUDED

//  tabla.h: definiciones para el ejercicio 27, bloque 5.
//  Fecha: 16/11/2019; 8:35 pm
//  Revisin: 4/9/2020; 9:21 am
//  S. Galliano.

#include <string>

//  pone una lnea simple o doble en consola de n caracteres
//  input: el tamao y el tipo: '-' o '='
//  output: la lnea est en consola
void ponerLinea( char tipo, int n );

//  pone las materias de la tabla
//  input: el vector de las materias
//  output: la tabla est encabezada
void encabezar( const std::string * pMats, int n );

//  pone las notas del alumno
//  input: el vector de las notas
//  output: la tabla est llena
void ponerNotas( const int * pNotas, int n );

//  pone el promedio de las notas
//  input: el vector de las notas
//  output: el promedio en la tabla
void ponerPromedio( const int * pNotas, int n );

#endif // TABLA_H_INCLUDED
