// Problema 29, bloque 6: una tabla en la tienda libre
// Fecha: 4/1/2020; 1:03 pm
// Revisin: 4/9/2020; 9:42 am
// S. Galliano.

#include "tabla.h"
#include <iostream>
#include <cstdlib>

const int NOTAS = 6;
const int ALUMNOS = 3;

int main() {
    typedef std::string Str;
    //  informacin
    std::cout
    << "Problema 28: muestra la tabla de " << NOTAS << " notas de "
    << ALUMNOS << " alumnos y calcula sus promedios.\n\n";

    //  las notas se declararon fuera
    int notas[][NOTAS] = {
        { 63, 97, 88, 77, 93, 95 },
        { 96, 87, 89, 78, 80, 89 },
        { 70, 90, 86, 81, 90, 82 }
    };
    int * pNotas = new int [NOTAS * ALUMNOS]; // se reserv memoria
    pNotas = notas[0];                        // el arreglo pas a la tienda gratis
	int ancho = 8 * ( NOTAS + 2 );

    //  las materias
    Str materias[] = { "Asig.", "Mat.", "Esp.", "F\241s.", "Qu\241.", "Ing.", "Bio.", "Prom." };
    Str * pMats = new Str [NOTAS]; // se reserv memoria
    pMats = materias;              // el arreglo pas a la tienda gratis

    std::cout << "Tabla de resultados.\n";
    ponerLinea( '=', ancho );
    encabezar( pMats, NOTAS + 2 );
    ponerLinea( '-', ancho );
    ponerNotas( pNotas, NOTAS, ALUMNOS );
    ponerLinea( '-', ancho );
    ponerPromedio( pNotas, NOTAS, ALUMNOS );
    ponerLinea( '=', ancho );

    system( "pause" );
    return EXIT_SUCCESS;
}
