//  herramientas.cpp: definiciones para el ejercicio 30, sexto bloque
//  Fecha: 11:49 jueves, 25 de abril de 2019
//  Revisin: 18/11/2019; 12:53 pm
//  Por S. Galliano.

#include "herramientas.h"
#include <iostream>
#include <cmath>
#include <iomanip>

using std::string;
using std::cout;
using std::cin;
using std::setw;

Herrams::Herrams( string nomb, double prec ) {
    nombre = nomb;
    precio = prec;
    pedido = 0;
}

void Herrams::mostrarStock() {
    cout << std::fixed << std::setprecision( 2 ) << std::left
         << setw( 18 ) << nombre << std::right
         << setw( 8 ) << precio << '\n';
}

void Herrams::mostrarPedido() {
    cout
    << std::fixed << std::setprecision( 2 ) << std::left
    << setw( 18 ) << nombre << std::right
    << setw( 8 ) << precio
    << setw( 8 ) << pedido
    << setw( 12 ) << precio * pedido << '\n';
}

void Herrams::tomarPedido() {
    cout << std::setfill( ' ' ) << setw( 18 ) << nombre << " = ";
    ( cin >> pedido ).get();
}
