#ifndef PANIOL_H_INCLUDED
#define PANIOL_H_INCLUDED

//  paniol.h: declaraciones para el ejercicio 30, sexto bloque
//  Fecha: 11:56 jueves, 25 de abril de 2019
//  Revisin: 18/11/2019; 12:53 pm
//  Por S. Galliano.

#include "herramientas.h"
#include "paniol.h"

//  el paol puede ser considerado una estructura
//  que lleva las herramientas que controla y el
//  docente que las solicita para su clase; debe saber
//  tomar las herramientas, el docente, calcular el costo
//  total de su pedido, su fecha y mostrar el modelo de
//  salida del paol.

struct Paniol {
    Paniol(); // ctor
    //  mtodos
    void fijarDocente();
    void tomarPedido();
    void costoTotal();
    void mostrarStock();
    void mostrarModelo();
    //  miembros
    std::string docente;
    std::string fecha;
    double totalCosto;
    //  miembros agregados
    Herrams sierraK;
    Herrams sierraT;
    Herrams atornillador;
    Herrams lijadoraP;
}; // struct Paniol

#endif // PANIOL_H_INCLUDED
