//  dulce.cpp: definiciones para el ejercicio 33, sexto bloque
//  Fecha: 12/8/2019; 9:54 pm
//  Revisin: 5/9/2020; 10:54 am
//  Por S. Galliano.

#include "dulce.h"
#include <iostream>
#include <iomanip>
using std::cout;
using std::setw;
using std::string;

// constructor
Dulce::Dulce( string mk, double pr, int ct ) {
    marca      = mk;
    precio     = pr;
    inventario = ct;
}

// entra un dulce
void Dulce::entrarDulce (string mk, double pr, int ct) {
    marca      = mk;
    precio     = pr;
    inventario = ct;
}

//  muestra los datos de un dulce
void Dulce::mostrarDulce() const {
    cout << std::fixed << std::setprecision(2) << std::left <<
    setw(10) << marca  << std::right << '\t' << precio << '\t' <<
    inventario << '\n';
}

//  elimina un dulce
void Dulce::borrarDulce() {
    marca      = "";
    precio     = 0.0;
    inventario = 0;
}
