#ifndef LSE_H_INCLUDED
#define LSE_H_INCLUDED

// lse.h: declaraciones para el ejercicio 36, sptimo bloque
// Fecha: 13/8/2019; 5:35 am
// Revisin: 6/9/2020; 6:54 am
// Por S. Galliano.

#include <string>
const std::string ADVIERTO( "La lista est\240 vac\241a.\n\n" );
const std::string HECHO( "\255Hecho!\n\n" );
typedef int Item;

struct Nodo {
    Nodo();// constructor
    // mtodos auxiliares
    bool estaVacia() const;
    bool enLista( Item val ) const;
    // mtodos
    int cuentame() const;
    void muestrame() const;
    void vaciaLista();
    void adiciona( Item val );
    bool borraNodo( Item val );
    //  miembros
    int n;              // cantidad de nodos
    Item item;          // valor de un nodo
    struct Nodo * head; // cabeza de la lista
    struct Nodo * next; // puntero al prximo nodo
};

#endif // LSE_H_INCLUDED
