// Ejercicio 36, sptimo bloque: LSE ordenada
// Fecha: 13/8/2019; 11:18 pm
// Revisin: 6/9/2020; 6:54 am
//S. Galliano, 2019

#include "menu.h"
#include "lse.h"
#include <iostream>
#include <cstdlib>

int main() {
    std::string info( "Problema 36: manejo de una LSE ordenada.\n\n" );
    Nodo * head = new Nodo;
    short opcion;
    int n;
    Item valor;

    while ( true ) {
        opcion = menu( info );

        if ( terminar == opcion ) {
            if ( not head->estaVacia() ) {
                head->vaciaLista();
            } // if

            delete head;
            return EXIT_SUCCESS;
        } // if

        n = head->cuentame();

        switch ( opcion ) {
        case ayudar:
            darAyuda( info );
            break;
        case insertar:
            std::cout << "\250Valor? ";
            ( std::cin >> valor ).get();

            if ( head->enLista ( valor ) ) {
                std::cerr << valor << " ya est\240.\n\n";
                break;
            } // if

            head->adiciona ( valor );
            std::cout << "El valor fu\202 insertado.\n\n";
            break;
        case enumerar:
            if ( head->estaVacia() ) {
                std::cerr << ADVIERTO;
            } else {
                ( 1 == n )
                    ? std::cout << "Un nodo.\n\n"
                    : std::cout << n << " nodos.\n\n";
            } // if-else
            break;
        case imprimir:
            if ( head->estaVacia() ) {
                std::cerr << ADVIERTO;
            } else {
                head->muestrame();
            } // if-else
            break;
        case buscar:
            if ( head->estaVacia() ) {
                std::cerr << ADVIERTO;
            } else {
                std::cout << "\250Valor? ";
                ( std::cin >> valor ).get();
                ( true == head->enLista( valor ) )
                    ? std::cout << "Est\240 en la lista.\n\n"
                    : std::cout << "No est\240 en la lista.\n\n";
            } // if estaVacia
            break;
        case eliminar:
            if ( head->estaVacia() ) {
                std::cerr << ADVIERTO;
            } else {
                std::cout << "\250Valor? ";
                ( std::cin >> valor ).get();
                if (head->borraNodo( valor )) {
                    std::cout << HECHO;
                } else {
                    std::cerr << "La operaci\242n fall\242.\n\n";
                } // if-else
            } // if-else
            break;
        case vaciar:
            if ( head->estaVacia() ) {
                std::cerr << ADVIERTO;
            } else {
                char procedo;
                std::cout << "Esta operaci\242n destruir\240 la lista.\n"
                          "\250Procedo? (s/n) ";
                std::cin >> procedo;
                procedo = toupper( procedo );

                if ( procedo == 'N' ) {
                    break;
                } // if

                head->vaciaLista();
                std::cout << "La lista fu\202 vaciada.\n\n";
            } // if-else
            break;
        } // switch
        system( "pause" );
    } // while
}
