//  bubble.cpp: definiciones para el ejercicio 38, octavo bloque
//  Fecha: 10:33 martes, 30 de abril de 2019
//  Revisin: 6/9/2020; 7 am
//  Por S. Galliano.

#include "bubble.h"
#include <cstdlib>
#include <ctime>

//  funcin de comparacin de enteros
bool mayorQue( const int & v1, const int & v2 ) {
    return ( ( v1 > v2 ) ? true : false );
}

//  intercambia dos enteros
void intercambia( int & v1, int & v2 ) {
    int temp = v1;
    v1 = v2;
    v2 = temp;
}

void bsort( int * pAry, int n ) {
    for ( int i = 1; i < n; ++i ) {
        for ( int j = n - 1; j >= i; --j ) {
            if ( mayorQue( pAry[j - 1], pAry[j] ) ) {
                intercambia( pAry[j - 1], pAry[j] );
            } // if
        } // for j
    } // for i
}

//  genera un arreglo de n enteros, tomados al azar
void generaValores( int * pAry, int n ) {
    srand( time( 0 ) );

    for ( int i = 0; i < n; ++i ) {
        pAry[i] = rand();
    } // for
}
