// Ejercicio 38, octavo bloque: bubble externo
// Fecha: 10:33 martes, 30 de abril de 2019
// Revisin: 6/9/2020; 7 am
// S. Galliano.

#include "bubble.h"
#include <iostream>
#include <cstdlib>
#include <ctime>

const int N = 150000;

int main() {
    std::cout << "Problema 38: bubble sort con intercambio externo.\n\nTrabajando...";
    int * pAry = new int [N];

    generaValores( pAry, N ); // generando los valores aleatorios
    clock_t inicio = clock(); // tiempo de inicio
    bsort( pAry, N );         // ordenando
    clock_t fin = clock();    // tiempo final

    double tSort = difftime( fin, inicio ) / 1000;
    std::cout << "tard\202 " << tSort << " s en ordenar " << N << " enteros.\n\n";

    delete [] pAry;
    system( "pause" );
    return EXIT_SUCCESS;
}
