//  menu.cpp: definiciones para el ejercicio 40, noveno bloque
//  Fecha: 16/8/2019; 11:50 am
//  Revisin: 6/9/2020; 8:30 am
//  Por S. Galliano.

#include "menu.h"
#include <iostream>
#include <cstdlib>
using std::string;
using std::cout;
using std::cerr;
using std::cin;

//  un men en consola
unsigned menu( string info ) {
    //  variables
    string conjunto = "0123456789"; // opciones legales
    string opcion;
    string::size_type idx;

    while ( true ) {
        //  el men
        system( "cls" );
        cout << info <<
        "   MEN\351\n"
        "--------------------------\n"
        "1) Insertar registros\n"
        "2) Cargar una nomimilla\n"
        "3) Contar los registros\n"
        "4) Verificar un registro\n"
        "5) Editar un registro\n"
        "6) Crear la n\242mina\n"
        "7) Borrar un registro\n"
        "8) Vaciar la n\242mina\n"
        "9) Ayuda al usuario\n"
        "0) Terminar\n"
        "--------------------------\n"
        "Entre una opci\242n: ";
        ( cin >> opcion ).get();
        idx = conjunto.find( opcion );

        if ( string::npos == idx ) {
            cerr << "\nError: opci\242n ilegal.\n\n";
            system ( "pause" );
        } else {
            return idx;
        } // if-else
    } // while
}

void darAyuda( string info ) {
    system( "cls" );
    std::cout << info <<
    "AYUDA DE LA N\340MINA\n"
    "1) Inserta varios registros a la n\242mina\n"
    "2) Carga los registros desde una nomimilla\n"
    "     Ojo: toda acci\242n que se haga despu\202s,\n"
    "          hay que recrear la n\242mina.\n"
    "3) Cuenta los registros\n"
    "4) Verifica si un registro est\240 en n\242mina\n"
    "     Se localiza por su nombre y apellido\n"
    "5) Edita un registro\n"
    "     Se localiza por su nombre y apellido\n"
    "6) Crea la n\242mina\n"
    "7) Borra un registro\n"
    "     Se localiza por su nombre y apellido\n"
    "     Ojo: esta acci\242n no se puede deshacer\n"
    "8) Elimina el listado de la n\242mina\n"
    "     Ojo: esta acci\242n no se puede deshacer\n\n";
}
