// Programa a1: uso de los manipuladores de salida
// Fecha: 14/11/2019; 4:24 pm
// S. Galliano.

#include <ios>
#include <iostream>
#include <cstdlib>
#include <iomanip>
#include <cmath>

using namespace std;

int main() {
    ios::fmtflags oldFlags = cout.flags();
    cout << "Programa auxiliar 1: uso de los manipuladores.\n\n";
    cout << "Bool con n\243meros: Verdadero vale " << true << ", Falso vale " << false << '\n';
    cout.setf( ios::boolalpha );
    cout << "Bool en ingl\202s: Verdadero vale " << true << ", Falso vale " << false << "\n\n";
    cout.unsetf( ios::boolalpha );

    double d = 4.0 * atan( 1.0 );
    double e = -6.78;
    char c   = 'Q';
    int i    = 56;

    cout << "Variables: double " << d << ", " << e
         << "; char " << c << "; int " << i << "\n\n";
    cout << "Por omisi\242n los valores van a la derecha del campo:\n"
         << "|" << setw( 8 ) << d << "|\n"
         << "|" << setw( 8 ) << e << "|\n"
         << "|" << setw( 8 ) << c << "|\n"
         << "|" << setw( 8 ) << i << "|\n\n";

    cout.setf( ios::left );
    cout << "Para moverlos al inicio hay que fijar o llamar a left:\n"
         << "|" << setw( 8 ) << d << "|\n"
         << "|" << setw( 8 ) << e << "|\n"
         << "|" << setw( 8 ) << c << "|\n"
         << "|" << setw( 8 ) << i << "|\n\n";
    cout.unsetf( ios::left );

    cout.setf( ios::showpoint | ios::fixed );
    cout << "Valores con punto decimal fijo:\n";
    cout << "Entero: " << i << '\n';
    cout << "Real  : " << d << "\n\n";
    cout.unsetf( ios::showpoint | ios::fixed );

    cout.setf( ios::scientific );
    cout << "Valores en notaci\242n cient\241fica:\n";
    cout << "Entero: " << i << '\n';
    cout << "Real  : " << d << "\n\n";
    cout.unsetf( ios::scientific );

    cout << setprecision( 1 ) << fixed << showpos << right;
    cout << "Valores con signo forzado y un decimal:\n";
    cout << "Entero: " << setw( 6 ) << static_cast<double>( i ) << '\n';
    cout << "Real  : " << setw( 6 ) << d << '\n';
    cout << "Real  : " << setw( 6 ) << e << "\n\n";

    cout << "Mostrando una suma de dinero:";
    cout << setfill( '.' ) << setprecision( 2 ) << noshowpos;
    cout << setw( 12 ) << left << "\n Item 1" << right
         << setw( 6 ) << d
         << setw( 12 ) << left << "\n Item 2" << right
         << setw( 6 ) << abs( e )
         << setw( 12 ) << left << "\n Item 3" << right
         << setw( 6 ) << static_cast<double>( i )
         << setw( 12 ) << left << "\n Total"  << right
         << setw( 6 ) << ( d + abs( e ) + i )    << "$\n\n";

    cout.flags( oldFlags );
    system( "pause" );
    return EXIT_SUCCESS;
}
