// Programa a5: manejo de una tabla por ndices.
// Fecha: 9/7/2019; 3:48 pm
// Revisin: 31/8/2020; 11:40 am
// S. Galliano.

#include <iostream>
#include <cstdlib>

using namespace std;
const int COLS = 5; // son constantes

void mostrar(int pTabla[][COLS], int filas);

int main() {
    cout << "Programa auxiliar 5: manejo\n"
            "de una tabla por \241ndices.\n\n";
    int filas = 2;                 // pueden ser pedidas al usuario
    int (*pTabla)[COLS];           // un puntero normal a las columnas
    pTabla = new int[filas][COLS]; // se apunta a una tabla en la tienda
    mostrar(pTabla, filas);
    delete [] pTabla; // libera memoria
    system("pause");
    return EXIT_SUCCESS;
}

void mostrar(int pTabla[][COLS], int filas) {
    cout << "Tabla de " << filas << " x " << COLS << ":\n";

    for ( int i = 0; i < filas; ++i ) {
        for ( int j = 0; j < COLS; ++j ) {
            pTabla[i][j] = (i + 1) * (j + 1);
            cout << pTabla[i][j] << "  ";
        } // for j

        cout << "\n";
    } // for i

    cout << "\n";
}
