// Programa p11: potencia
// Fecha: 27/8/2019; 8:36 pm
// Revisin: 26/12/2019; 7:43 pm
// S. Galliano

#include <iostream>
#include <cstdlib>
#include <cassert>

typedef unsigned short uShort; // el nuevo nombre slo es un apodo

//  prototipos de los dos mdulos principales:
void entrarDatos( double & base, uShort & exponente );     // entrada de datos
double calcularRespuesta( double base, uShort exponente ); // funcin de clculo

int main() {
    //  las variables se declaran fuera del ciclo
    double laBase;
    uShort elExponente;
    char sn;
    std::cout << "Programa 11: potencia un n\243mero.\n\n";

    while ( true ) {
        entrarDatos( laBase, elExponente );
        std::cout << "Respuesta = " << calcularRespuesta( laBase, elExponente )
                  << "\n\n\250Una vez m\240s? (s/n) > ";
        std::cin >> sn;//  seguimos?

        if ( 'N' == toupper(sn) ) {
            return EXIT_SUCCESS;
        } // if
    } // while
}

// entra la base y el exponente
// se asegura de que el exponente sea mayor o igual a cero
void entrarDatos ( double & base, uShort & exponente ) {
    // entra la base
    std::cout << "Escriba el n\243mero: ";
    std::cin >> base;
    // entra el exponente
    std::cout << "Escriba el exponente entero: ";
    std::cin >> exponente;
    // se asegura de que el exponente sea mayor o igual a cero
    assert ( exponente >= 0 );
}

// hace el ciclo y clcula la potencia
double calcularRespuesta ( double base, uShort exponente ) {
    double respuesta = 1; // neutro del producto

    for ( uShort i = 0; i < exponente; ++i ) {
        respuesta *= base;
    } // for

    return respuesta;
}
