// Programa 14: compilacin separada
// Fecha: 31/7/2019: 11:30 pm
// Revisin: 26/12/2019; 8:30 pm
// S. Galliano.

#include "hora.h"
#include <iostream>
#include <cstdlib>
#include <cstring>

int main() {
    //  informacin:
    std::cout <<
    "Programa 14: sobrecargando funciones. Este programa muestra\n"
    "tres formas de tomar la hora para ponerla a consola:\n\n"
    "1) cadena C:   25:44 (mal formato)\n"
    "2) cadena C++:  9:45 (por la ma\244ana)\n"
    "3) n\243meros:    21,46 (por la tarde)\n\n";

    //  cadena clsica;
    const short SIZE = 10;          // tamao mximo
    char hora1[SIZE];               // variable
    std::strcpy ( hora1, "25:44" ); // valor errneo: no hay hora 25
    std::cout << "1) cadena C:\t";	// informacin
    imprime( hora1 );               // respuesta

    //  cadena del C++
    std::string hora2( "9:45" );     // variable + valor
    std::cout << "2) cadena C++:\t"; // informacin
    imprime( hora2 );                // respuesta

    //  enteros en directo
    std::cout << "3) n\243meros:\t";
    imprime( 21, 46 ); // variable + respuesta
    std::cout << '\n';

    system( "pause" );
    return EXIT_SUCCESS;
}
