// Programa 17: enumeradores
// Fecha: 10:58 domingo, 14 de abril de 2019
// Revisin: 29/8/2020; 6:44 pm
// S. Galliano

#include "menu.h"
#include "cambio.h"
#include <iostream>
#include <cstdlib>

const std::string PROMPT( "\n   Entre una frase: " );

int main() {
    std::string info( //  informacin
        "Programa 17: un men\243 para el cambio de tama\244o de letras.\n"
        "No trabaja bien con el espa\244ol.\n\n" );

    //  ciclo
    std::string frase;
    unsigned opcion;

    while ( true ) {
        opcion = menu(info);

        if ( terminar == opcion ) {
            return EXIT_SUCCESS;
        } //  if

        std::cout << PROMPT;
        std::getline(std::cin, frase);

        switch ( opcion ) {
        case mayusculas:
            aMayusculas(frase);
            std::cout << "Frase a may\243sculas: " << frase << "\n\n";
            break;
        case minusculas:
            aMinusculas(frase);
            std::cout << "Frase a min\243sculas: " << frase << "\n\n";
            break;
        case oracion:
            aOracion(frase);
            std::cout << "   Frase a oraci\242n: " << frase << "\n\n";
            break;
        } // switch

        system("pause");
    } //  while
}
