// Programa 18: estructura C++
// Fecha: 14:26 domingo, 14 de abril de 2019
// Revisin: 29/8/2020; 7:40 pm
// S. Galliano.

#include "menu.h"
#include "cafeteria.h"
#include <iostream>
#include <cstdlib>

int main() {
    //  informacin
    Str info = "Programa 18: cafeter\241a El Jard\241n\n";

    //  estructura C++
    Cafeteria jardin( "Refresco", 1.00, "Helado", 0.55, "Rollito", 1.20, "El Jard\241n" );

    //  el programa
    unsigned opcion;
    while ( true ) {
        opcion = menu( info );
        switch ( opcion ) {
        case mostrar:
            jardin.mostrarMenu();
            break;
        case vender:
            jardin.tomarVenta();
            break;
        case recaudar:
            if ( jardin.estaHecho ) {
                jardin.mostrarRecaudo();
                return EXIT_SUCCESS;
            } else {
                std::cerr << "\nPrimero entrar las ventas.\n\n";
            } // if-else
            break;
        } // switch
        system( "pause" );
    } //  while
}
