// Programa 20: encasillamientos
#include <cstdlib>
#include <iostream>
#include <iomanip>
#include <cmath>

int main() {
    //  declaracin e inicializacin de una variable local
    float pi = 4 * atan(1);

    //  declaracin e inicializacin de punteros
    float * pFloat = nullptr;
    char  * pChar  = nullptr;
    void  * pVoid  = nullptr;

    std::cout << std::left <<
    "Programa 20: declara una variable y unos punteros, todos de\n"
    "distintos tipos, y los encasilla para que la representen.\n\n"
    "Variable local pi, de punto flotante:\n"
    << std::setw(12 ) << "  Valor:"
    << std::setw( 8 ) << pi  << " <--\n"
    << std::setw(12 ) << "  Direci\242n:"
    << std::setw( 8 ) << &pi << " <--\n\n"
    "Los punteros son a punto flotante (pFloat) a un car\240cter (pChar) y a\n"
    "void (pVoid). pChar debe ser encasillada, ya que apunta a un float.\n";
    pFloat = &pi;                           // pFloat apunta a pi
    pChar  = reinterpret_cast<char *>(&pi); // pChar  apunta a pi
    pVoid  = &pi;                           // pVoid  apunta a pi

    std::cout <<
    "Valor a que todos apuntan:\n\n" <<
    "  pFloat: " << pFloat                           << " <--\n"
    "  pChar:  " << reinterpret_cast<float *>(pChar) << " <--\n"
    "  pVoid:  " << pVoid                            << " <--\n\n"

    "Aqu\241 se desreferencian los punteros. char y void no son punteros\n"
    "a float, y deben ser encasillados. Valor que todos muestran:\n\n" <<
    "  pFloat = " << *pFloat                           << " <--\n"
    "  pChar  = " << *reinterpret_cast<float *>(pChar) << " <--\n"
    "  pVoid  = " << *reinterpret_cast<float *>(pVoid) << " <--\n\n";

    *pFloat = 3.1416;
    std::cout <<
    "Cambiando el valor de pi a 3.1416 con *pFloat. Solamente los\n"
    "punteros se desreferencian; como pi es una variable, no puede serlo.\n\n"
    "  pi    = " <<  pi                               << " <--\n"
    "  pChar = " << *reinterpret_cast<float *>(pChar) << " <--\n"
    "  pVoid = " << *reinterpret_cast<float *>(pVoid) << " <--\n\n";

    //	fin
    system ( "pause" );
    return EXIT_SUCCESS;
}
