// Programa 21: puntero a funciones
#include "aritmetica.h"
#include <iostream>
#include <cstdlib>
#include <iomanip>

const std::string PROMPT( "\nEntre dos n\243meros separados\npor un espacio en blanco: " );

// formato: precisin y ancho
const int PRES = 3;
const int WIDE = 6;

int main() {
    //  informacin:
    std::cout << "Programa 21: punteros a funciones.\n\n"
    "Calcula las cuatro operaciones\naritm\202ticas b\240sicas.\n";

    // variables
    double (*pFunc)(double x, double y); // puntero a funcin
    double n1, n2;                       // los dos nmeros
    std::string sn;                      // una vez ms?

    std::cout << PROMPT << std::fixed << std::setprecision(PRES);

    while ( std::cin >> n1 >> n2 ) {
        pFunc = mas;
        std::cout << "\nx + y = " << std::setw(WIDE) << pFunc(n1, n2);
        pFunc = menos;
        std::cout << "\nx - y = " << std::setw(WIDE) << pFunc(n1, n2);
        pFunc = por;
        std::cout << "\nx * y = " << std::setw(WIDE) << pFunc(n1, n2);

        //	abre el bloque de excepcin try-catch
        try {
            pFunc = entre;
            std::cout << "\nx / y = " << std::setw(WIDE) << pFunc(n1, n2);
        } catch (std::string) {
            std::cerr << '\n' << ERR;
        } // try-catch

        std::cout << "\n\250Una vez m\240s? (s/n)> ";
        std::cin >> sn;

        if ( 'N' == toupper(sn[0]) ) {
            return EXIT_SUCCESS;
        } // if-else

        std::cout << PROMPT;
    } // while cin

    system("pause");
    return EXIT_SUCCESS;
}
