//  aritmetica.cpp: definiciones para el programa 22
//  Fecha: 7:27 viernes, 19 de abril de 2019
//  Revisin: 20/12/2019; 7:32 pm
//  Revisin: 16/8/2020; 11 am
//  Por S. Galliano.

#include "aritmetica.h"
#include <string>

//  las cuatro funciones aritmticas:
//  la resta se calcula usando la suma;
//  la divisin se calcula usando la multiplicacin
double mas  ( double x, double y ) { return x + y; }
double menos( double x, double y ) { return mas(x, -y); }
double por  ( double x, double y ) { return x * y; }
double entre( double x, double y ) {
    if ( 0 == y ) {
        throw ERR;
    } else {
        return por(x, 1/y);
    } // if-else
}

//  modelo bsico de uso de una funcin pasada como parmetro:
//  en este caso slo se devuelve el resultado de la funcin
double calcula(double calc(double x, double y), double x, double y) {
    return calc(x, y);
}
