// Programa 22: funciones como parmetros
#include "aritmetica.h"
#include <iostream>
#include <cstdlib>
#include <iomanip>

const std::string PROMPT( "\nEntre dos n\243meros separados\npor un espacio en blanco: " );

// formato: precisin y ancho
const int PRES = 3;
const int WIDE = 6;

int main() {
    //  informacin:
    std::cout << "Programa 21: funciones como par\240metros.\n\n"
    "Calcula las cuatro operaciones\naritm\202ticas b\240sicas.\n";

    // variables
    double n1, n2;  // los dos nmeros
    std::string sn; // una vez ms?
    std::cout << PROMPT << std::fixed << std::setprecision(PRES);

    // este es el modelo de uso en el programa
    while ( std::cin >> n1 >> n2 ) {
        std::cout <<
        "\nx + y = " << std::setw(WIDE) << calcula(mas, n1, n2)  <<
        "\nx - y = " << std::setw(WIDE) << calcula(menos, n1, n2) <<
        "\nx * y = " << std::setw(WIDE) << calcula(por, n1, n2);

        //	abre el bloque de excepcin try-catch
        try {
            std::cout << "\nx / y = " << std::setw(WIDE) << calcula(entre, n1, n2) << '\n';
        } catch (std::string) {
            std::cerr << ERR;
        } // try-catch

        std::cout << "\250Una vez m\240s? (s/n)> ";
        std::cin >> sn;

        if ( 'N' == toupper(sn[0]) ) {
            return EXIT_SUCCESS;
        } else {
            std::cout << PROMPT;
        } // if-else
    } // while cin
}
