//  producto.cpp: definiciones para el programa 22
//  Fecha: 1:13 jueves, 25 de abril de 2019
//  Revisado: 31/8/2020; 12:13 pm
//  Por S. Galliano

#include "producto.h"
#include <iostream>
#include <iomanip>
using std::cout;
using std::setw;

//  construye una instancia del producto
Producto::Producto(Str nomb, float prec) {
    nombre   = nomb;
    precio   = prec;
    cantidad = 0;
}

//  muestra el producto
void Producto::mostrarProducto() {
    cout <<
    setw(10) << std::left << nombre << std::setprecision(2) <<
    std::fixed << "$ " << precio << '\n' << std::setprecision(0) <<
    std::right;
}
