#ifndef MENU_H_INCLUDED
#define MENU_H_INCLUDED

//  menu.h: declaraciones para el programa 24
//  Fecha: 3/7/2019; 11:34 am
//  Revisin: 14/5/2020; 7 pm
//  Por S. Galliano.

//  enumera lo que pide el men
enum { terminar, insertar, enumerar, buscar, imprimir, eliminar, vaciar, ayudar };

#include <string>

//  un men en consola
//  entrada: la informacin al usuario
//  salida: men a consola
short menu(std::string info);

//  esclarece las opciones
//  input: nada
//  output: la ayuda en consola
void darAyuda(std::string info);

#endif // MENU_H_INCLUDED
