//  lse.h: declaraciones para el programa 25
//  Fecha: 01/07/2019; 8:28 am
//  Por S. Galliano.
#ifndef LSE_H
#define LSE_H

#include <string>

const std::string WARN = "La lista est\240 vac\241a.\n\n";
typedef int Item;

class Node {
    public:
        // constructor
        Node() { head = next = nullptr; }

        //  mtodos
        bool isEmpty() const { return nullptr == head; }
        void addItem ( Item val, short place = 0 );
        bool inList ( Item val ) const;
        int countMe() const;
        void showMe() const;
        std::string yank ( Item val );
        void emptyList();

    private:
        Item item;          // valor de un nodo
        struct Node * head; // cabeza de la lista
        struct Node * next; // puntero al prximo nodo
};

#endif // LSE_H
