#ifndef LISTA_H_INCLUDED
#define LISTA_H_INCLUDED

//  lse.h: definiciones para el programa 24
//  Fecha: 01/07/2019; 8:30 am
//  Revisin: 14/5/2020; 7 pm
//  Por S. Galliano

#include <string>
const std::string WARN("La lista est\240 vac\241a.\n\n");
const std::string HECHO("\255Hecho!\n\n");
typedef int Item;

struct Nodo {
    // constructor
    Nodo();
    // mtodos
    bool estaVacia () const;
    bool enLista   (Item val) const;
    int cuentame   () const;
    void muestrame () const;
    void adiciona  (Item val, short pos);
    void vaciaLista();
    bool borraNodo(Item val);
    //  miembros
    Item item;         // valor de un nodo
    struct Nodo *head; // cabeza de la lista
    struct Nodo *prox; // puntero al prximo nodo
};

#endif // LISTA_H_INCLUDED
