//  menu.cpp: definiciones para el programa 24
//  Fecha: 01/07/2019; 8:28 am
//  Revisin: 14/5/2020; 7 pm
//  Por S. Galliano.

#include "menu.h"
#include <iostream>
#include <cstdlib>
#include <string>
using std::string;
using std::cout;
using std::cerr;
using std::cin;

//  un men en consola
short menu(string info) {
    string conjunto = "01234567";
    string opcion;
    string::size_type idx;

    while ( true ) {
        system("cls");
        cout << info <<
		"Lista simplemente enlazada\n"
		"1) Insertar un valor\n"
		"2) Contar los nodos\n"
		"3) Comprobar si un valor est\240\n"
		"4) Mostrar la lista\n"
		"5) Eliminar un valor\n"
		"6) Vaciar la lista\n"
		"7) Ayuda\n"
		"0) Terminar\n"
		"Entre una opci\242n: ";
        (cin >> opcion).get();
        idx = conjunto.find(opcion);

        if ( string::npos == idx ) {
            cerr << "\nError: opci\242n ilegal.\n\n";
            system("pause");
        } else {
            return idx;
        } // if-else
    } // while
}

void darAyuda(string info) {
    system("cls");
    cout << info <<
	"AYUDA DE LA LSE\n"
	"1) Inserta un valor V en la posici\242n P:\n"
	"     Si P es cero, pone V en la cabeza.\n"
	"     Si P est\240 fuera de l\241mites, pone V en la cola.\n"
	"     Si P est\240 entre l\241mites, pone V en la posici\242n P\n"
	"     Si V est\240, no lo inserta.\n"
	"2) Cuenta la cantidad de nodos en la lista.\n"
	"3) Comprueba si un valor est\240 en la lista.\n"
	"4) Muestra la lista.\n"
	"5) Si el valor est\240, lo elimina.\n"
	"6) Vac\241a la lista.\n"
	"     Si la lista existe, advierte al usuario.\n\n";
}
