// Programa 25: ordenamiento por burbujas
// Fecha: 22:50 lunes, 29 de abril de 2019
// Revisin: 31/8/2020; 4:45 pm
// S. Galliano.

#include <iostream>
#include <cstdlib>
#include <ctime>

const int N = 150000;

int main() {
    std::cout << "Programa 25: bubble sort cl\240sico.\n\nTrabajando...";
    int *pAry = new int[N];

    //  generando los valores aleatorios
    srand( time( 0 ) ); // una semilla aleatoria

    for ( int i = 0; i < N; ++i ) {
        pAry[i] = rand();
    } // for

    time_t inicio = clock(); // tiempo de inicio
    int tmp;          // variable de intercambio

    for ( int i = 0; i < N-1; ++i ) {
        for ( int j = N-1; j > i; --j ) {
            if ( pAry[j] < pAry[j-1] ) { // compara
                // intercambia
                tmp       =  pAry[j];
                pAry[j]   =  pAry[j-1];
                pAry[j-1] =  tmp;
            } // if
        } // for j
    } // for i

    time_t fin = clock(); // tiempo final
    double tSort = difftime( fin, inicio ) / CLOCKS_PER_SEC;
    std::cout << "tard\202 " << tSort << " s en ordenar " << N << " enteros.\n\n";

    //  fin
    delete [] pAry;
    system( "pause" );
    return EXIT_SUCCESS;
}
