// comparacion.cpp: definiciones para el programa 26:
// Fecha: 1:12 martes, 30 de abril de 2019
// Revisin: 31/8/2020; 5:08 pm
// Por S. Galliano.

#include "comparacion.h"
#include <cstdlib>
#include <ctime>

//  funcin de comparacin de enteros
int compInt( const void * p, const void * q ) {
    int m = *static_cast<const int *>( p );
    int n = *static_cast<const int *>( q );
    if ( m > n ) { return 1; }
    else if ( m < n ) { return -1; }
    else { return 0; }
}

//  genera un arreglo de n enteros, tomados al azar
void generaValores( int *pAry, int n ) {
    srand( time( 0 ) );

    for ( int i = 0; i < n; i++ ) {
        pAry[i] = rand();
    } // for
}
