// Programa 28: escrbiendo a disco
// Fecha: 6:17 mircoles, 1 de mayo de 2019
// Revisin: 1/9/2020; 8:16 am
// S. Galliano.

#include "salida.h"
#include <iostream>
#include <cstdlib>

const int N      = 200; // cantidad de valores
const short COLS = 10;  // columnas

int main() {
    Str archy( "C:/temp/datos.txt" );

    // info
    std::cout <<
              "Programa 28: escribe " << N << " enteros aleatorios\n"
              "en el archivo '" << archy << "'\n\n";

    int *pAry = new int[N];   // los valores en la free store
    generaValores( pAry, N ); // los valores al arreglo

    try {
        alArchivo( archy, pAry, N ); // se escriben a disco
        mostrar( pAry, N, COLS );    // valores a consola
    } catch ( Str ) {
        std::cout << ERR;
        return EXIT_FAILURE;
    } // try-catch

    system( "pause" );
    return EXIT_SUCCESS;
}
