#ifndef ESTADS_H_INCLUDED
#define ESTADS_H_INCLUDED

//  estads.h: declaraciones para el programa 31
//  Fecha: 7:18 jueves, 2 de mayo de 2019
//  Por S. Galliano.

//	medidas de tendencia central:
double suma    (const double *data, int n); // suma de valores
double promedio(const double *data, int n); // media
//  la mediana y la moda requieren de un arreglo ordenado
double mediana (const double *data, int n); // mediana
double moda    (const double *data, int n); // moda

//  funcin de comparacin de doubles, para llamar a Quicksort
int compareDbl(const void *m, const void *n);

//	medidas de dispersin:
double varianza   (const double *data, int n); // varianza muestral
double desviacion (const double *data, int n); // desviacion tpica
double maximo     (const double *data, int n); // mximo
double minimo     (const double *data, int n); // mnimo
double rango      (const double *data, int n); // rango de valores

#endif // ESTADS_H_INCLUDED
