#ifndef FILEIO_H_INCLUDED
#define FILEIO_H_INCLUDED

//  fileio.h: declaraciones para el programa 31
//  Fecha: 7:18 jueves, 2 de mayo de 2019
//  Por S. Galliano.

#include <string>

//  entrada de datos desde un archivo:

//  cuenta los datos del archivo para poder definirlo luego,
//  en la tienda libre; de paso comprueba si se abri
//  entrada: nombre del archivo
//  salida: cantidad de datos a poner en un arreglo
int cuentaDatos ( std::string archy );

//  lee los valores del archivo y los pone en el arreglo ary;
//  de paso comprueba si se abri
//  entrada: nombre del archivo, y nombre y tamao del arreglo
//  salida: los valores del archivo estn en el arreglo
void leeArchivo ( std::string archy, double * pAry, int n );

//  salida de informacin a un archivo:

//  escribe los valores del arreglo ary al archivo archy
//  entrada: nombre del archivo, y nombre y tamao del arreglo
//  salida: los valores estn en el archivo
void escribeArchivo ( std::string archy, const double * pAry, int n );

//  genera un arreglo de n dobles, tomados al azar
//  input: el arreglo y su tamao
//  output: el arreglo est lleno
void generaValores ( double * pAry, int n );

#endif // FILEIO_H_INCLUDED
