//  salida.cpp: definiciones para el programa 30
//  Fecha: 3/9/2019; 10 am
//  Por S. Galliano.

#include "../p29-leyendo/estads.h"
#include "salida.h"
#include <iostream>
#include <cstdlib>
#include <iomanip>
#include <fstream>
using std::setw;

void escribirArchivo( Str archy, int * pAry, int n ) {
    std::ofstream bufferOut( archy );
    const int WIDE = 10;
    bufferOut << std::fixed << std::setprecision(4)         <<
    "\nMedia    = " << setw(WIDE) << promedio( pAry, n )    <<
    "\nMediana  = " << setw(WIDE) << mediana ( pAry, n )    <<
    std::setprecision(0)                                    <<
    "\nModa     = " << setw(WIDE/2) << moda( pAry, n )      <<
    std::setprecision(4)                                    <<
    "\nVarianza = " << setw(WIDE) << varianza( pAry, n )    <<
    "\nDesviac. = " << setw(WIDE) << desviac ( pAry, n )    <<
    std::setprecision(0)                                    <<
    "\nM\240ximo   = " << setw(WIDE/2) << maximo( pAry, n ) <<
    "\nM\241nimo   = " << setw(WIDE/2) << minimo( pAry, n ) <<
    "\nRango    = " << setw(WIDE/2) << rango( pAry, n )     <<
    "\nSuma     = " << setw(WIDE/2) << suma ( pAry, n )     <<
    "\nCuenta   = " << setw(WIDE/2) << n << "\n";
}
