#ifndef AUXILIAR_H_INCLUDED
#define AUXILIAR_H_INCLUDED

//  auxiliar.h: definiciones para el programa 31
//  Fecha: d/m/a; h:d a
//  Por: S. Galliano.

#include "../p29-leyendo/estads.h"
#include <string>
typedef std::string Str;

const int N = 10;    // cantidad de la muestra
const int TOP = 200; // tamao de la poblacin

//  encabezado de la salida
//  input: nada
//  output: el encabezado a consola
void encabezado();

//  lee los valores del archivo y los pone en el arreglo
//  input: archivo, arreglo, su tamao, posicin de
//         lectura y tamao de la muestra
//  output: el arreglo est cargado
void leerArchivo(Str archy, double *pAry, int n);

#endif // AUXILIAR_H_INCLUDED
