// Ejercicio 11, bloque 2: un men lineal por comandos
// Fecha: 24/8/2019; 7:54 am
// Revisin: 3/9/2020; 6:40 pm
// S. Galliano.

#include <iostream>
#include <cstdlib>
#include <string>

//  un men en consola
//  entrada: la informacin al usuario
//  salida: men a consola
short menu(std::string info);

int main() {
    //  info
    std::string info("Problema 11: otro prototipo de men\243.\n\n");
    unsigned opcion;

    while ( true ) {
        opcion = menu(info);

        if ( 0 == opcion ) {
            return EXIT_SUCCESS;
        } // if

        switch ( opcion ) {
        case 1:
            std::cout << "\nMirando a la izquierda.\n\n";
            break;
        case 2:
            std::cout << "\nCaminar mejora su salud.\n\n";
            break;
        case 3:
            std::cout << "\nSaltando hacia el futuro.\n\n";
            break;
        case 4:
            std::cout << "\n\255Salud!\n\n";
            break;
        } // switch
        system("pause");
    } // while
}

//  un men en consola
short menu( std::string info ) {
    //  variables
    std::string conjunto = "TMCSE"; // opciones legales
    std::string opcion;             // opcin tomada
    std::string::size_type idx;     // ndice de la opcin
    char comando;

    while ( true ) {
        //  el men:
        system("cls");
        std::cout << info <<
        "M)irar, C)aminar, S)altar, E)stornudar\n"
        "T)erminar. Entre una opci\242n: ";
        std::cin >> opcion;
        comando = toupper(opcion[0]);
        idx = conjunto.find(comando);

        if ( std::string::npos == idx ) {
            std::cerr << "\nError: opci\242n ilegal.\n\n";
            system("pause");
        } else {
            return idx;
        } // if-else
    } // while
}

