//  auxiliar.cpp: definiciones para el ejercicio 15, bloque 3
//  Fecha: 7:32 viernes, 12 de abril de 2019
//  Por S. Galliano.

#include "auxiliar.h"
#include <iostream>
#include <cstdlib>
#include <sstream>

//  un men en consola
short menu( std::string info ) {
    //  variables
    std::string conjunto = "01234";
    std::string opcion;
    std::string::size_type idx;

    while ( true ) {
        system( "cls" );
        std::cout << info <<
        "Calculadora\n"
        "1) Suma\n"
        "2) Resta\n"
        "3) Multiplicaci\242n\n"
        "4) Divisi\242n\n"
        "0) Terminar\n"
        "Entre una opci\242n: ";
        ( std::cin >> opcion ).get();
        idx = conjunto.find( opcion );

        if ( std::string::npos == idx ) {
            std::cerr << "\nError: opci\242n ilegal.\n\n";
            system( "pause" );
        } else {
            return idx;
        } // if-else
    } // while
}

//  entra dos nmeros
void entrar( double & x, double & y ) {
    std::cout << "\nx = ";
    std::cin >> x;
    std::cout << "y = ";
    std::cin >> y;
}

//  pone la respuesta
void respuesta( double x, double y, short opcion ) {
    std::string oper,  // la operacin
        signo; // su signo
    bool error = false;
    double resp;

    switch ( opcion ) {
    case 1:
        resp = x + y;
        oper = "Suma: ";
        signo = " + ";
        break;
    case 2:
        resp = x - y;
        oper = "Resta: ";
        signo = " - ";
        break;
    case 3:
        resp = x * y;
        oper = "Producto: ";
        signo = " x ";
        break;
    case 4:
        if ( 0 == y ) {
            error = true;
        } else {
            resp = x / y;
            oper = "Divisi\242n: ";
            signo = " / ";
        } // if-else
        break;
    } // switch

    ( true == error )
    ? std::cerr << "Error: no puedo dividir por cero.\n\n"
                : std::cout << oper << x << signo << y << " = " << resp << "\n\n";
}
