//  triangulo.cpp: definiciones para el ejercicio 18, bloque 3.
//  Fecha: 15:12 viernes, 12 de abril de 2019
//  Revisin: 27/12/2019; 5 am
//  Por S. Galliano.

#include "triangulo.h"
#include <algorithm>
#include <iostream>
using std::cout;
using std::cin;

//  entrar datos
//  input: los lados a, b y c
//  output: los lados entraron al programa
void entrar ( int & a, int & b, int & c ) {
    cout << "Lado 1 = ";
    cin >> a;
    cout << "Lado 2 = ";
    cin >> b;
    cout << "Lado 3 = ";
    cin >> c;
}

//  funcin auxiliar: pone el mayor en p
void intercambiar( int & p, int & q ) {
    if ( p < q ) {
        int tmp = p;
        p = q;
        q = tmp;
    } // if
}

//  ordena los lados como c < b < a
void ordenar ( int & a, int & b, int & c ) {
    intercambiar( b, c ); // mayor en b
    intercambiar( a, c ); // mayor en a
    intercambiar( a, b ); // mayor en a
}

//  dice si no se puede hacer un tringulo
bool noSePuede ( int a, int b, int c ) {
    return ( a == ( b + c ) );
}

//  dice si un tringulo es rectngulo
bool esRecto ( int a, int b, int c ) {
    return ( a * a ) == ( b * b + c * c );
}
