//  conversor.cpp: definiciones para el ejercicio 20, bloque 4.
//  Fecha: 9:39 viernes, 3 de mayo de 2019
//  Revisin: 4/9/2020: 8 am
//  Por S. Galliano.

#include "conversor.h"
#include <cctype>

//  convierte una letra del espaol a maysculas
char aMayusculas( char ch ) {
    if ( isalnum(ch) and islower(ch) ) { // slo minsculas ASCII
        ch = toupper( ch );
    }  else {
        if ( ch == '\201' ) ch = '\232'; else //   -> 
        if ( ch == '\202' ) ch = '\220'; else //   -> 
        if ( ch == '\240' ) ch = '\265'; else //   -> 
        if ( ch == '\241' ) ch = '\326'; else //   -> 
        if ( ch == '\242' ) ch = '\340'; else //   -> 
        if ( ch == '\243' ) ch = '\351'; else //   -> 
        if ( ch == '\244' ) ch = '\245';      //   -> 
    } // if
	
    return ch;
}

//  convierte una letra del espaol a minsculas
char aMinusculas( char ch ) {
    if ( isalnum(ch) and isupper(ch) ) {
        ch = tolower( ch );
    } else {
        if ( ch == '\220' ) ch = '\202'; else //   -> 
        if ( ch == '\232' ) ch = '\201'; else //   -> 
        if ( ch == '\245' ) ch = '\244'; else //   -> 
        if ( ch == '\265' ) ch = '\240'; else //   -> 
        if ( ch == '\326' ) ch = '\241'; else //   -> 
        if ( ch == '\340' ) ch = '\242'; else //   -> 
        if ( ch == '\351' ) ch = '\243';      //   -> 
    } // if
	
    return ch;
}
