#ifndef CARTAS_H_INCLUDED
#define CARTAS_H_INCLUDED

//  cartas.h: declaraciones para el ejercicio 22, bloque 4.
//  Fecha: 8:24 martes, 16 de abril de 2019
//  Revisin: 4/9/2020; 8:17 am
//  Por S. Galliano.

#include <string>
typedef std::string Str;

const int MAZO  = 40; // un mazo trae 40 cartas
const int PALOS = 4;  // son 4 palos por mazo

enum palo   { oros, copas, espadas, bastos };
enum numero { as, dos, tres, cuatro, cinco, seis, siete, sota, caballo, rey };

//  carga un mazo de cartas
//  input: el arreglo de las cartas y su tamao
//  output: cada baraja tiene su valor
void cargar( Str baraja[] );

//  toma un mazo y lo deja barajado
//  input: el arreglo y el tamao del mazo
//  output: los ndices estn barajados
void barajar( Str baraja[] );

//  reparte la baraja entre 4 jugadores
//  input: el arreglo de cartas, el de posicin y el tamao
//  output: el mazo est repertido
void repartir( const Str baraja[] );

#endif // CARTAS_H_INCLUDED
