#ifndef VECTORES_H_INCLUDED
#define VECTORES_H_INCLUDED

//  vectores.h: declaraciones para el ejercicio 23, bloque 4.
//  Fecha: 2:44 mircoles, 17 de abril de 2019
//  Revisin: 4/9/2020; 8:21 am
//  Por S. Galliano.

#include <string>
typedef std::string Str;

//  un vector posee dos componentes a y b;
//  sabe como mostrarse, calcular con otro
//  vector su producto punto y su coseno; adems
//  a ste sabe mostrarlo en sus dos formatos,
//  radin y grado, y clasificarlo
struct Vector {
    //  constructor
    Vector(double a = 0, double b = 0);
    //  mtodos
    double pPunto(Vector B);
    double calcNorma();
    void entrar   (Str id);
    void mostrar  (Str id);
    void calcCos(Vector B);
    void mostrarCos();
    //  miembros
    double a, b; // coordenadas
    double sita;
};

#endif // VECTORES_H_INCLUDED
