//  paniol.cpp: definiciones para el ejercicio 30, sexto bloque
//  Fecha: 11:56 jueves, 25 de abril de 2019
//  Revisin: 18/11/2019; 12:53 pm
//  Por S. Galliano.

#include "paniol.h"
#include <iomanip>
#include <iostream>

using std::cout;
using std::getline;
using std::cin;
using std::setw;

Paniol::Paniol() {
    sierraK      = Herrams( "Sierra de calar",   6.80 );
    sierraT      = Herrams( "Sierra de trocear", 8.99 );
    atornillador = Herrams( "Atornillador",      3.55 );
    lijadoraP    = Herrams( "Lijadora plana",   11.22 );
    docente      = "";
    fecha        = "";
    totalCosto   = 0;
}

void Paniol::tomarPedido() {
    cout << "Nombre completo del docente: ";
    getline( cin, docente );
    cout << "Fecha del pedido - d\241a/mes/a\244o: ";
    getline( cin, fecha );
    sierraK.tomarPedido();
    sierraT.tomarPedido();
    atornillador.tomarPedido();
    lijadoraP.tomarPedido();
}

void Paniol::mostrarStock() {
    cout << std::fixed <<
         "Stock del pa\244ol:\n"     << std::left  <<
         setw( 18 ) << "Herramienta" << std::right <<
         setw( 8 )  << "Precio\n"    << std::setfill( '.' );
    sierraK.mostrarStock();
    sierraT.mostrarStock();
    atornillador.mostrarStock();
    lijadoraP.mostrarStock();
    cout << '\n';
}

void Paniol::costoTotal() {
    totalCosto = sierraK.precio * sierraK.pedido;
    totalCosto += sierraT.precio * sierraT.pedido;
    totalCosto += atornillador.precio * atornillador.pedido;
    totalCosto += lijadoraP.precio * lijadoraP.pedido;
}

void Paniol::mostrarModelo() {
    cout
    << "\nHoja de pedidos.\n"
    << docente  << " - Fecha: " << fecha << '\n' << std::left
    << setw( 18 ) << "Herramienta" << std::right
    << setw( 8 ) << "Precio"
    << setw( 8 ) << "Cant."
    << setw( 12 ) << "Costo\n";

    sierraK.mostrarPedido();
    sierraT.mostrarPedido();
    atornillador.mostrarPedido();
    lijadoraP.mostrarPedido();

    costoTotal();

    cout << std::setfill( '.' ) << std::left
         << setw( 40 ) << "Costo total:" << totalCosto << "$\n\n";
}
