#ifndef COMPLEJO_H_INCLUDED
#define COMPLEJO_H_INCLUDED

//  complejo.h: declaraciones para el ejercicio 30
//  Fecha: 7:53 jueves, 25 de abril de 2019
//  Revisado: 24/9/2020; 5:44 pm
//  Por S. Galliano.

#include <string>
typedef std::string Str;

const double RAD2GRD = 57.295779;

struct Complejo {
    Complejo ( double a = 0, double b = 0 ); //  constructor
    //  mtodos
    bool esIgualQue   ( Complejo z ) const; // igualdad
    Complejo sumadoCon( Complejo z ) const; // adicin
    Complejo restadoDe( Complejo z ) const; // sustraccin
    Complejo multipCon( Complejo z ) const; // producto
    Complejo divideCon( Complejo z ) const; // divisin
    Complejo sumadoCon( double e );// const; // adicin
    Complejo restadoDe( double e );// const; // sustraccin
    Complejo multipCon( double e );// const; // producto
    Complejo divideCon( double e );// const; // divisin
    Complejo conjugado() const;             // su conjugado
    double modulo();
    void fmtCoord( Str id ) const; // muestra (a,b)
    void fmtPolar( Str id );       // muestra (mod,sita)
    void fmtSuma ( Str id );       // muestra z = a+bi
    void entraNumero( Str id );    // entra un nmero (a,b)
    //  miembros
    double real; // parte real
    double imag; // parte imaginaria
};

#endif // COMPLEJO_H_INCLUDED
