#ifndef ALMACEN_H_INCLUDED
#define ALMACEN_H_INCLUDED

//  nombre.h: declaraciones para el ejercicio 33, sexto bloque
//  Fecha: 12/8/2019; 9:54 pm
//  Revisin: 5/9/2020; 10:54 am
//  Por S. Galliano.

#include "Dulce.h"

const int N = 5; // mxima cantidad de elementos

//  cdigos de error
const Str VACIA( "La BD est\240 vac\241a.\n\n" );
const Str MA_SI( "La marca est\240.\n\n" );
const Str MA_NO( "La marca no est\240.\n\n" );
const Str HECHO( "\255Hecho!\n\n" );

//  el almacn
struct Almacen {
    Almacen(); // constructor
    //  mtodos
    int primerIdx();
    bool aryLleno();
    bool aryVacio();
    bool marcaEsta( Str mk );
    void mostrarInventario();
    void entrarNuevo();
    void editarCantidad();
    void editarPrecio();
    void borrarDulce();
    void borrarBase();
    //  miembro
    Dulce item[N]; // un arreglo de dulces
};

#endif // ALMACEN_H_INCLUDED
