// Ejercicio 33, sexto bloque una BD
// Fecha: 12/8/2019; 9:54 pm
// Revisin: 5/9/2020; 10:54 am
// S. Galliano.

#include "menu.h"
#include "almacen.h"
#include <iostream>
#include <cstdlib>
#include <iomanip>

int main() {
    std::string info ("Problema 33. Una base de datos.\n\n");
    Almacen *stock = new Almacen; // el stok
    int opcion;                   // la opcin del men

    while ( true ) {
        opcion = menu(info);

        if ( opcion == terminar ) {
            delete stock;
            return EXIT_SUCCESS;
        } // if

        switch ( opcion ) {
        case ayudar:
            ayuda(info);
            break;
        case mostrar:
            try {
                stock->mostrarInventario();
            } catch ( Str ) {
                std::cerr << VACIA;
            } // try-catch
            break;
        case adicionar:
            try {
                stock->entrarNuevo();
            } catch ( Str ) {
                std::cerr << MA_SI;
            } // try-catch
            break;
        case editarP:
            try {
                stock->editarPrecio();
            } catch ( Str ) {
                std::cerr << MA_NO;
            } // try-catch
            break;
        case editarC:
            try {
                stock->editarCantidad();
            } catch ( Str ) {
                std::cerr << MA_NO;
            } // try-catch
            break;
        case borrar:
            try {
                stock->borrarDulce();
            } catch ( Str ) {
                std::cerr << MA_NO;
            } // try-catch
            break;
        case vaciar:
            try {
                stock->borrarBase();
            } catch( Str ) {
                std::cerr << VACIA;
            } // try-catch
            break;
        } // switch

        system("pause");
    } // while
}
