#ifndef PILA_H_INCLUDED
#define PILA_H_INCLUDED

//  pila.h: declaraciones para el ejercicio 33, sptimo bloque
//  Fecha 31/8/2019; 5:44 pm
//  Por S. Galliano.

//  Nombres de los elementos tpicos de una pila
//  C++	    Programa	Accin
//  top	    tope        puntero al inicio de la pila
//  push	apila	    apilar un valor
//  pop	    desapila	desapilar un valor
//  peek	mirar	    ver el valor de la cabeza
//  empty	estaVacia	true si est vaca
//  size	cantidad	cuenta los nodos

#include <string>

typedef int Item;
typedef std::string Str;
const Str WARN = "La pila est\240 vac\241a.\n\n";

struct Stack {
    Stack(); // constructor
    // mtodos
    int  cantidad () const;
    bool estaVacia() const;
    bool mirar    ( Item & valor ) const;
    bool desapila ( Item & valor );
    bool apila    ( Item val );
    //  miembros
    int n;              // cantidad de nodos
    Item item;          // valor de un nodo
    struct Stack * tope; // cabeza de la lista
    struct Stack * prox; // puntero al prximo nodo
};

#endif // PILA_H_INCLUDED
