/*
	Ejercicio 34, sptimo bloque

	Descripcin:
    Se pide manejar por men una cola de enteros.
	Se usar un men adaptado del problema 33.

	Fecha: 13/8/2019; 9:09 pm
	S. Galliano.
*/

#include "menu.h"
#include "cola.h"
#include <iostream>
#include <cstdlib>

int main() {
    using std::cout;
    using std::cerr;
    std::string info ( "Problema 35: manejo de una cola.\n\n" );
    Queue * tope = new Queue;
    short opcion;
    int n;
    Item valor;

    while ( true ) {
        opcion = menu( info );

        if ( terminar == opcion ) {
            delete tope;
            return EXIT_SUCCESS;
        } // if

        switch ( opcion ) {
        case ayudar:
            darAyuda( info );
            break;
        case encolar:
            cout << "\250Valor? ";
            ( std::cin >> valor ).get();

            tope->encola( valor );
            cout << HECHO;
            break;
        case contar:
            if ( tope->estaVacia() ) {
                cerr << ADVIERTO;
            } else {
                n = tope->cantidad();
                ( 1 == n )
                ? cout << "Un nodo.\n\n"
                : cout << n << " nodos.\n\n";
            } // if-else
            break;
        case ver:
            if ( tope->estaVacia() ) {
                cerr << ADVIERTO;
            } else {
                cout << "Cabeza = " << tope->cabeza()
                     << "\tCola = " << tope->cola() << "\n\n";
            } // if-else
            break;
        case desencolar:
            if ( tope->estaVacia() ) {
                cerr << ADVIERTO;
            } else if ( true == tope->desencola( valor ) ) {
                cout << valor << " fu\202 desencolado.\n\n";
            } else {
                cerr << FALLO;
            }
            break;
        } // switch
        system( "pause" );
    } // while
}
