//  menu.cpp: definiciones para el ejercicio 35, sptimo bloque
//  Fecha: 14/8/2019; 5:30 am
//  Por S. Galliano.

#include "menu.h"
#include <iostream>
#include <cstdlib>
#include <string>
using std::string;
using std::cout;
using std::cerr;
using std::cin;

//  un men en consola
short menu( string info ) {
    string conjunto = "01234567";
    string opcion;
    string::size_type idx;

    while( true ) {
        //  el men:
        system( "cls" );
        cout << info <<
        "LSE ordenada\n" <<
        "1) Insertar un valor\n"
        "2) Contar los nodos\n"
        "3) Comprobar si un valor est\240\n"
        "4) Mostrar la lista\n"
        "5) Eliminar un valor\n"
        "6) Vaciar la lista\n"
        "7) Ayuda\n"
        "0) Terminar\n"
        "Entre una opci\242n: ";
        ( cin >> opcion ).get();
        idx = conjunto.find( opcion );

        if( string::npos == idx ) {
            cerr << "\nError: opci\242n ilegal.\n\n";
            system( "pause" );
        } else {
            return idx;
        } // if-else
    } // while
}

void darAyuda( string info ) {
    system( "cls" );
    cout <<
    "AYUDA DE LA LSE ORDENADA\n"
    "1) Inserta un valor V en su orden\n"
    "2) Cuenta la cantidad de nodos en la lista.\n"
    "3) Comprueba si un valor est\240 en la lista.\n"
    "4) Muestra la lista.\n"
    "5) Elimina el valor V.\n"
    "6) Vac\241a la lista.\n"
    "     si la lista existe, advierte al usuario.\n\n";
}
