//  menu.cpp: definiciones para el ejercicio 36, sptimo bloque
//  Fecha: 14/8/2019; 9:44 am
//  Revisin: 6/1/2020; 9:33 pm
//  Por S. Galliano.

#include "menu.h"
#include <iostream>
#include <cstdlib>
#include <string>
using std::string;
using std::cout;
using std::cin;
using std::cerr;
using std::getline;

short menu(string info) {
    string conjunto = "01234567";
    string opcion;
    string::size_type idx;

    while ( true ) {
        system("cls");
        cout << info <<
		"BIBLIOGRAF\326A\n" <<
		"1) Insertar una obra.\n"
		"2) Contar las obras.\n"
		"3) Buscar una obra.\n"
		"4) Mostrar las obras.\n"
		"5) Eliminar una obra.\n"
		"6) Eliminar todas las obras.\n"
		"7) Ayuda.\n"
		"0) Terminar\n"
		"Entre una opci\242n: ";
        (cin >> opcion).get();
        idx = conjunto.find(opcion);

        if ( string::npos == idx ) {
            cerr << "\nError: opci\242n ilegal.\n\n";
            system("pause");
        } else {
            return idx;
        } // if-else
    } // while
}

void darAyuda(string info) {
    system("cls");
    cout << info <<
	"AYUDA DE LA BIBLIOTECA\n"
	"1) Inserta una obra por orden de su autor\n"
	"     Genera autom\240ticamente un identificador de tres letras\n"
	"     y lo usa como criterio. El identificador se forma con las\n"
	"     iniciales del apellido, el nombre y la obra.\n"
	"2) Cuenta la cantidad de obras.\n"
	"3) Comprueba si una obra est\240.\n"
	"     Para buscar una obra, entrar su identificador.\n"
	"4) Muestra la biblioteca.\n"
	"5) Elimina una obra.\n"
	"     Para borrar una obra, entrar su identificador.\n"
	"6) Vac\241a la biblioteca.\n"
	"     Si existe, advierte al usuario.\n"
	"     Cuidado: esta operaci\242n no puede ser deshecha.\n\n";
}

