// Problema 39, octavo bloque: shell sort
// Fecha: 16/5/2020; 7:40 pm
// Revisin: 6/9/2020; 7:11 am
// S. Galliano.

#include "shell.h"
#include <iostream>
#include <cstdlib>
#include <ctime>

const int N = 1500000;

int main() {
    std::cout << "Problema 39: ordenamiento Shell.\n\nTrabajando...";
    int * pAry = new int [N];

    generaValores( pAry, N );       // generando los valores aleatorios
    clock_t inicio = clock();       // tiempo de inicio
    shellSort( pAry, N, mayorQue ); // ordenando
    clock_t fin = clock();          // tiempo final
    double tSort = difftime( fin, inicio ) / 1000;
    std::cout << "tard\202 " << tSort << " s en ordenar " << N << " enteros.\n\n";

    delete [] pAry;
    system( "pause" );
    return EXIT_SUCCESS;
}
