// nombre.cpp: definiciones para el problema 39
// Fecha: 16/5/2020; 7:40 pm
// Revisin: 6/9/2020; 7:11 am
// Por: S. Galliano.
#include "shell.h"
#include <cstdlib>
#include <ctime>

//  devuelve true si el entero p > q
bool mayorQue( int p, int q ) {
    return ( ( p > q ) ? true : false );
}

//  intercambia los valores
void intercambia( int & p, int & q ) {
    int tmp = p;
    p = q;
    q = tmp;
}

//  genera un arreglo de n enteros, tomados al azar
void generaValores( int * pAry, int n ) {
    srand( time( 0 ) );

    for ( int i = 0; i < n; ++i ) {
        pAry[i] = rand();
    } // for
}

//  ordena un arreglo de enteros
void shellSort( int * ary, int n, bool mayorQue( int p, int q ) ) {
    int zancada = n / 2;
    bool cambioSi;

    do {
        do {
            cambioSi  = false;

            for ( int i = 0; i < ( n - zancada ); ++i ) {
                if ( mayorQue( ary[i], ary[i + zancada] ) ) {
                    intercambia( ary[i], ary[i + zancada] );
                    cambioSi = true;
                } // if
            } // for
        } while ( true == cambioSi ); // do-while

        zancada /= 2;
    } while ( zancada > 0 ); // do-while
}
