#ifndef SHELL_H_INCLUDED
#define SHELL_H_INCLUDED

// nombre.h: definiciones para el problema 39
// Fecha: 16/5/2020; 7:40 pm
// Revisin: 6/9/2020; 7:11 am
// Por: S. Galliano.

//  devuelve true si p > q
//  input: dos enteros
//  output: true si p > q
bool mayorQue( int p, int q );

//  intercambia los dos valores
//  input: dos enteros
//  output: valores intercambiados
void intercambia( int & p, int & q );

//  genera un arreglo de n enteros, tomados al azar
//  input: el arreglo y su tamao
//  output: el arreglo est lleno
void generaValores( int * pAry, int n );

//  ordena un arreglo de enteros
//  input: el arreglo, su tamao y la funcin de comparacin
//  output: el arreglo est ordenado
void shellSort( int * ary, int n, bool mayorQue( int p, int q ) );

#endif // SHELL_H_INCLUDED
