// Programa p03:
// Descripcin: mostrar cmo se mezclan en un programa
// las peticiones de cadenas clsicas y nmeros
// Fecha: 6:59 lunes, 8 de abril de 2019
// S. Galliano

#include <iostream>
#include <cstdlib>
#include <cstring> // para strcpy() y strcmp()

int main() {
    using std::cout;
    using std::cin;
    //  informacin al usuario
    cout << "Programa 3: un trabajo con cadenas cl\240sicas.\n"
         "Se pedir\240n algunos datos personales.\n\n";

    //  mxima cantidad de caracteres en estas cadenas
    const short TAM = 60;

    //  1) entrada de una cadena clsica
    char nombre[TAM];               // define la cadena
    cout << "Su nombre completo: "; // pide un valor
    cin.getline( nombre, TAM );     // entra el valor

    //	2) entrada numrica: como inmediatamente despus de sta
    //     se va a hacer otra entrada de caracteres, hay que
    //     limpiar el bfer con get()
    int edad;            // define el entero
    cout << "Su edad: "; // pide un valor
    (cin >> edad).get(); // entra el valor y limpia el bfer

    // 3) entrada de otra cadena clsica
    char direccion[TAM];           // define la cadena
    cout << "Su direcci\242n: ";   // pide un valor
    cin.getline( direccion, TAM ); // entra el valor

    //  las copias de cadenas clsicas siempre son con asignacin
    //  diferida; strcpy es una funcin de manejo de cadenas
    char copiaNombre[TAM];               // primero la variable
    strcpy( copiaNombre, nombre );       // despus la asignacin
    char copiaDireccion[TAM];            // primero la variable
    strcpy( copiaDireccion, direccion ); // despus la asignacin

    //  la salida
    cout << "\nLa copia de su nombre es " << copiaNombre;
    cout << "\nLa de su direcci\242n es " << copiaDireccion;
    cout << "\nEl a\244o que viene Ud. tendr\240 " << ++edad << " a\244os.";

    //  comparacin entre cadenas
    cout << "\nSu nombre y direcci\242n";
    //  strcmp es otra funcin de manejo de cadenas
    ( strcmp( nombre, direccion ) == 0 )  // son iguales?
    ? cout << " son iguales.\n\n"     //  si lo son
           : cout << " no son iguales.\n\n"; //  no lo son

    //  fin
    system ( "pause" );  // la salida se detiene
    return EXIT_SUCCESS; // el programa termina OK
}
