// Programa p4: mostrar cmo se mezclan en un programa las peticiones
// de cadenas C++ y nmeros
// Fecha: 11:54 lunes, 8 de abril de 2019
// Revisin: 25/12/2019; 6:38 am
// S. Galliano.

#include <iostream>
#include <cstdlib>
#include <string>

int main() {
    //  usando lo necesario
    using std::cout;    // para salidas
    using std::cin;     // para entradas
    using std::string;  // para hacer visible la clase

    //  informacin al usuario
    cout << "Programa 4: un trabajo con cadenas C++.\n"
            "Se pedir\240n algunos datos personales.\n\n";

    //  1) entrada de una cadena C++
    string nombre;                  // define la cadena vaca
    cout << "Su nombre completo: "; // pide un valor
    std::getline( cin, nombre );    // entra el valor

    //	2) entrada numrica: como inmediatamente despus de esta
    //     se va a hacer otra entrada de caracteres, hay que
    //     limpiar el bfer con get()
    int edad;            // define el entero
    cout << "Su edad: "; // pide un valor
    (cin >> edad).get(); // entra el valor y limpia el bfer

    // 3) entrada de otra cadena clsica
    string direccion;               // define la cadena vaca
    cout << "Su direcci\242n: ";    // pide un valor
    std::getline( cin, direccion ); // entra el valor

    //  adems de la declaracin de una cadena vaca, la
    //  iniciacin de cadenas C++ puede hacerse de dos formas:
    string copiaNombre = nombre;        // por asignacin directa
    string copiaDireccion( direccion ); // por constructor

    //  la salida
    cout << "\nLa copia de su nombre es " << copiaNombre;
    cout << "\nLa de su direcci\242n es " << copiaDireccion;
    cout << "\nEl a\244o que viene Ud. tendr\240 " << ++edad << " a\244os.";

    //  comparacin entre cadenas
    cout << "\nSu nombre y direcci\242n";
    ( nombre == direccion )               // son iguales?
        ? cout << " son iguales.\n\n"     //  s lo son
        : cout << " no son iguales.\n\n"; //  no lo son

    //  fin
    system ( "pause" );  // la salida se detiene
    return EXIT_SUCCESS; // el programa termina OK
}
