//  promedio.cpp: definiciones para el programa 16:
//  Fecha: 19:51 sbado, 13 de abril de 2019
//  Revisin: 29/8/2020; 6:11 pm
//  Por S. Galliano.

#include "promedio.h"
#include <iostream>
#include <iomanip>
using std::cout;

//  pone una lnea doble o simple
void ponerLinea(bool doble) {
    ( true == doble )
        ? cout << std::setfill( '=' )
        : cout << std::setfill( '-' );
    cout << std::setw(8 * (NOTAS + 2)) << '\n' << std::setfill(' ');
}

//  muestra las notas
void mostrar(const int ary[], int n) {
    cout << std::setprecision(1) << std::fixed << "Tabla de resultados\n";
    ponerLinea();
    cout << "Asig.\tMat.\tEsp.\tF\241s.\tQu\241.\tIng.\tProm.\n";
    ponerLinea(false);

    double total = 0;
    cout << "Alum.\t" ;
    for ( int i = 0; i < n; ++i ) {
        cout << ary[i] << '\t';
        total += ary[i];
    } // for i

    cout << total / n << '\n'; // su promedio
    ponerLinea();
}
