#ifndef CAFETERIA_H_INCLUDED
#define CAFETERIA_H_INCLUDED

//  cafeteria.h: declaraciones para el programa p18
//  Fecha: 14:48 domingo, 14 de abril de 2019
//  Revisin: 29/82020; 7:45 pm
//  Por S. Galliano.

#include "producto.h"

struct Cafeteria {
    //  constructor: n es nombre, p es precio
    //  Ref es refresco, Hel es helado y Dul es dulce
    //  nomb es el nombre de la cafetera
    Cafeteria(
        Str nRef, float pRef,
        Str nHel, float pHel,
        Str nDul, float pDul,
        Str nomb
    );
	//  mtodos
    void mostrarMenu();
    void tomarVenta();
    void mostrarRecaudo();
	//  miembros
    Str nombre;
    bool estaHecho;
	//  miembros agregados
    Producto refresco;
    Producto dulce;
    Producto helado;
};

#endif // CAFETERIA_H_INCLUDED
