//  producto.cpp: definiciones para el programa 18
//  Fecha: 14:45 domingo, 14 de abril de 2019
//  Revisin: 29/82020; 7:45 pm
//  Por S. Galliano.

#include "producto.h"
#include <iostream>
#include <iomanip>
using std::cout;
using std::setw;

//  construye una instancia del producto
Producto::Producto(Str nomb, float prec) {
    nombre   = nomb;
    precio   = prec;
    cantidad = 0;
    recaudo  = 0;
}

//  muestra el producto
void Producto::mostrarProducto() {
    cout << std::left <<
    setw(10) << nombre << std::setprecision(2) << std::fixed <<
    "$ " << precio << '\n' << std::setprecision(0) << std::right;
}
