// Programa 19: una mirada
// Fecha: 19:22 jueves, 18 de abril de 2019
// Revisin: 30/8/2020 12 m
// S. Galliano.

#include <iostream>
#include <cstdlib>

int k = 155; //  variable declarada globalmente

int main() {
    int j = 15;          // variable declarada localmente
    int * ptr = nullptr; // puntero declarado localmente

    //  operaciones locales
    ptr = &j; // ptr apunta a j
    std::cout <<
    "Programa 19: una mirada a un puntero.\n\n"
    "Apuntando a la direcci\242n local:\n"
    "La variable LOCAL j vale "            <<  j   <<
    " y su direcci\242n es "               << &j   << '\n' <<
    "El puntero (&j) apunta a "            <<  ptr << '\n' <<
    " su indirecci\242n (*ptr) es "        << *ptr << '\n' <<
    " y su propia direcci\242n (&ptr) es " << &ptr << " <--\n\n";

    *ptr = 18;  // cambiando el valor a travs del puntero
    std::cout << "Si hacemos *ptr = 18, ahora j vale " << j << "\n\n";

    //  operaciones globales
    ptr = &k; // ahora ptr apunta a k
    std::cout <<
    "Apuntando ahora a la direcci\242n global:\n"
    "La variable GLOBAL k vale "                 <<  k   <<
    " y su direcci\242n es "                     << &k   << '\n' <<
    "El puntero (&k) ahora apunta a "            <<  ptr << '\n' <<
    " su indirecci\242n (*ptr) ahora es "        << *ptr << '\n' <<
    " pero su direcci\242n (&ptr) sigue siendo " << &ptr << " <--\n\n";

    *ptr = 158; // cambiando el valor a travs del puntero

    std::cout <<
    "Si hacemos *ptr = 158, ahora k vale " << k << "\n\n"
    "El mismo puntero apunta a dos variables distintas\n"
    "en dos ocasiones diferentes.\n\n";

    //  fin
    system ( "pause" );
    return EXIT_SUCCESS;
}
