#ifndef ARITMETICA_H_INCLUDED
#define ARITMETICA_H_INCLUDED

//  aritmetica.h: declaraciones para el programa 22
//  Fecha: 7:27 viernes, 19 de abril de 2019
//  Revisin: 20/12/2019; 7:32 pm
//  Revisin: 16/8/2020; 11 am
//  Por S. Galliano.

#include <string>
const std::string ERR("\nNo puedo dividir por cero.\n");

//  las cuatro operaciones aritmticas bsicas; x, y son los parmetros
//  de las funciones; todas ellas llevan los mismos parmetros, en la
//  misma posicin.

//  entrada: dos nmeros reales
//  salida: el resultado segn la funcin aplicada
double mas  ( double x, double y );
double menos( double x, double y );
double por  ( double x, double y );
double entre( double x, double y );

//  Este es el modelo de uso de una funcin por puntero: en la interfaz
//  van la funcin a apuntar y los parmetros que necesita, en cualquier
//  orden, pero se trata de poner algo que sea fcilmente legible para
//  un ser humano.

//  input: la funcin apuntada y los nmeros que necesita
//  output: el clculo que realiza la funcin
double calcula(double calc(double x, double y), double x, double y);

#endif // ARITMETICA_H_INCLUDED
