// Programa 23-a: (no aparece en el texto)
// uso de la tienda gratis
// Fecha: 1:07 jueves, 25 de abril de 2019
// Revisado: 31/8/2020; 12:13 pm
// S. Galliano, 2019

#include "menu.h"
#include "cafeteria.h"
#include <iostream>
#include <cstdlib>

int main() {
    //  informacin
    Str info = "p23-a: Cafeter\241a El Jard\241n\n\n";

    //  estructura C++ en la free store
    Cafeteria *pJardin = new Cafeteria (
        "Refresco", 1.00,
        "Helado",   0.55,
        "Rollito",  1.20,
        "El Jard\241n"
    );

    //  el programa
    unsigned opcion;
    while ( true ) {
        opcion = menu ( info );
        switch ( opcion ) {
        case mostrar:
            pJardin->mostrarMenu();
            break;
        case vender:
            pJardin->tomarVenta();
            break;
        case recaudar:
            if ( pJardin->estaHecho ) {
                pJardin->mostrarRecaudo();
                delete pJardin; // libera la memoria
                return EXIT_SUCCESS;
            } else {
                std::cerr << "\nPrimero entrar las ventas.\n\n";
            } // if-else
            break;
        } // switch
        system ( "pause" );
    } //  while
}
