// Programa 26: uso del qsort()
// Fecha: 1:12 martes, 30 de abril de 2019
// Revisin: 31/8/2020; 5:08 pm
// S. Galliano, 2019

#include "comparacion.h"
#include <iostream>
#include <cstdlib>
#include <ctime>

const int N = 150000;

int main() {
    //  info
    std::cout << "Programa 26: ordenamiento Quicksort.\n\nTrabajando...";

    //  generando los valores aleatorios
    int *pAry = new int [N];
    generaValores( pAry, N );

    time_t inicio = clock();              // tiempo de inicio
    qsort( pAry, N, sizeof( int ), compInt ); // ordenando
    time_t fin = clock();                 // tiempo final
    double tSort = difftime( fin, inicio ) / CLOCKS_PER_SEC;
    std::cout << "tard\202 " << tSort << " s en ordenar " << N << " enteros.\n\n";

    //  fin
    delete [] pAry;
    system( "pause" );
    return EXIT_SUCCESS;
}
