#ifndef BINARY_SEARCH_H_INCLUDED
#define BINARY_SEARCH_H_INCLUDED

// binary_search.h: declaraciones para el programa p28
// Fecha: 9:39 martes, 30 de abril de 2019
// Revisin: 31/8/2020; 5:20 pm
// Por S. Galliano.

//  funcin de comparacin de enteros
//  input: dos valores enteros
//  output: 1 si p > q; -1 si p < q; otros, 0
int compInt( const void * p, const void * q );

//  genera un arreglo de n enteros, tomados al azar entre 1 y 100
//  input: el arreglo y su tamao
//  output: el arreglo est lleno
void generaValores( int * pAry, int n );

//  busca todas las posiciones de un valor en un arreglo de enteros
//  entrada: punteros a la clave y al arreglo, y el tamao de ste
//  salida: un aviso con la respuesta
void lfind( const int * K, const int * pAry, int n );

//  muestra el arreglo en cols columnas
//  input: el arreglo, su tamao y las columnas a listar
//  output: el arreglo est en consola
void mostrar( const int * pAry, int n, int cols );

#endif // BINARY_SEARCH_H_INCLUDED
