// Programa 27: uso del bsearch()
// Fecha: 9:39 martes, 30 de abril de 2019
// Revisin: 31/8/2020; 5:20 pm
// S. Galliano, 2019

#include "binary_search.h"
#include <iostream>
#include <cstdlib>
#include <ctime>

const int N = 80;

int main() {
    std::cout << "Programa 27: prueba de la b\243squeda binaria.\n\n";
    int *pAry = new int[N]; // un puntero al vector
    int key;                // clave de bsqueda
    int* const K = &key;    // puntero fijo a la clave
    void *idx = nullptr;    // valor a buscar

    generaValores( pAry, N );
    qsort( pAry, N, sizeof( int ), compInt );
    mostrar( pAry, N, 10 );

    while ( true ) {
        std::cout << "T para terminar. \250Clave? ";
        std::cin >> key;

        if ( not std::cin.good() ) {
            delete [] pAry;
            return EXIT_SUCCESS;
        } // if

        //  bsqueda binaria: devuelve un puntero void al valor
        idx = bsearch( K, pAry, N, sizeof( int ), compInt );

        if ( nullptr == idx ) {
            std::cout << *K << " no est\240.\n\n";
        } else {
            lfind( K, pAry, N );
        } // if-else
    } // while
}
