//  salida.cpp: definiciones para el programa 28
//  Fecha: 6:17 mircoles, 1 de mayo de 2019
//  Revisin: 30/12/2019; 8 am
//  Por S. Galliano.

#include "salida.h"
#include <iostream>
#include <cstdlib>
#include <fstream>
#include <ctime>
#include <iomanip>
using std::cout;
using std::setw;

//  esta funcin escribe los valores del arreglo pAry al archivo archy
void alArchivo( Str archy, const int *pAry, int n ) {
    std::ofstream Escribe( archy );

    if ( Escribe.fail() ) {
        throw ERR;
    } else {
        for ( int i = 0; i < n; ++i ) {
            Escribe << pAry[i] << '\n';
        } // for
    } // if-else
}

//  genera un arreglo de n enteros, tomados al azar entre 1 y 100
void generaValores( int *pAry, int n ) {
    srand( time( 0 ) );

    for ( int i = 0; i < n; i++ ) {
        pAry[i] = 1 + rand() % 100;
    } // for
}

//  muestra el arreglo en cols columnas
void mostrar( const int *pAry, int n, int cols ) {
    for ( int i = 0, columna = 1; i < n; ++i, ++columna ) {
        cout << setw( 3 ) << pAry[i];
        ( 0 == columna % cols ) ? cout << '\n' : cout << '\t';
    } // for

    cout << '\n';
}
