#ifndef SALIDA_H_INCLUDED
#define SALIDA_H_INCLUDED

//  salida.h: declaraciones para el programa 28
//  Fecha: 6:17 mircoles, 1 de mayo de 2019
//  Revisin: 30/12/2019; 8 am
//  Por S. Galliano.

#include <string>
typedef std::string Str;

const Str ERR( "No pude abrir el archivo. Abortando.\n" );

//  escribe los valores del arreglo ary al archivo archy
//  entrada: nombre del archivo, y nombre y tamao del arreglo
//  salida: los valores estn en el archivo
void alArchivo( Str archy, const int *pAry, int n );

//  genera un arreglo de n dobles, tomados al azar entre 1 y 100
//  input: el arreglo y su tamao
//  output: el arreglo est lleno
void generaValores( int *pAry, int n );

//  muestra el arreglo en cols columnas
//  input: el arreglo, su tamao y las columnas a listar
//  output: el arreglo est en consola
void mostrar( const int *pAry, int n, int cols );

#endif // SALIDA_H_INCLUDED
