//  auxiliar.cpp: definiciones para el programa 31
//  Fecha: d/m/a; h:d a
//  Por: S. Galliano.
#include "auxiliar.h"
#include "../p29-leyendo/entrada.h"
#include <iostream>
#include <fstream>
#include <istream>
#include <cstdlib>
#include <iomanip>

//  encabezado de la salida
void encabezado() {
    std::cout << std::right    <<
    std::setw(3)  << "No."     <<
    std::setw(8)  << "Valor"   <<
    std::setw(8)  << "M\241n." <<
    std::setw(8)  << "M\240x." <<
    std::setw(8)  << "Rango"   <<
    std::setw(8)  << "Suma"    <<
    std::setw(8)  << "Prom."   << '\n' <<
    std::setw(52) << std::setfill( '-' ) << '\n';
    std::cout << std::setfill( ' ' );
}

//  lee los valores del archivo y los pone en el arreglo
void leerArchivo(Str archy, double *pAry, int n) {
    std::ifstream Leyendo(archy);

    if ( Leyendo.fail() ) {
        throw ERR;
    } // if

    for ( int i = 0; i < n; ++i ) {
        Leyendo >> pAry[i]; //  leyendo datos
    } // for
}
