// Programa 31
#include <iostream>
#include <cstdlib>
#include <iomanip>

int main() {
    // encabezado
    std::cout
    << std::right
    << "Programa 31: algunos estad\241sticos.\n\n"
    << std::setw( 3 ) << "No."
    << std::setw( 8 ) << "Valor"
    << std::setw( 8 ) << "M\241n."
    << std::setw( 8 ) << "M\240x."
    << std::setw( 8 ) << "Rango"
    << std::setw( 8 ) << "Suma"
    << std::setw( 8 ) << "Prom." << '\n'
    << std::setw( 52 ) << std::setfill ( '-' ) << '\n'
    << std::setfill ( ' ' );
    // valores
    int valor, minimo, maximo, suma, rango;
    minimo = RAND_MAX;
    maximo = suma = valor = rango = 0;
    double promedio = 0;

    //  ciclo de lectura
    int i = 1; // ndice

    while ( std::cin >> valor ) {
        //  manejo de valores
        if ( valor < minimo ) {
            minimo = valor;
        } // if

        if ( valor > maximo ) {
            maximo = valor;
        } // if

        suma += valor;
        rango = maximo - minimo;
        promedio = static_cast<double>( suma ) / i;

        //  saca la lnea i-sima
        std::cout
        << std::fixed << std::setprecision( 0 )
        << std::setw( 3 ) << i
        << std::setw( 8 ) << valor
        << std::setw( 8 ) << minimo
        << std::setw( 8 ) << maximo
        << std::setw( 8 ) << rango
        << std::setw( 8 ) << suma << std::setprecision( 2 )
        << std::setw( 8 ) << promedio << '\n';

        ++i; // avanza a la prxima lnea
    } // while

    // fin
    return EXIT_SUCCESS;
}
